# This file created by conda-build 3.21.4
# meta.yaml template originally from:
# D:\a\1\s\recipe, last modified Thu Feb  4 19:50:49 2021
# ------------------------------------------------

package:
  name: r-linkcomm
  version: '1.0_14'
source:
  sha256: 36f1557c65d862fc87635eedfad77f18a5deb66da00895e50e2d5eac0f23b597
  url:
    - https://cran.r-project.org/src/contrib/Archive/linkcomm/linkcomm_1.0-14.tar.gz
    - https://cran.r-project.org/src/contrib/linkcomm_1.0-14.tar.gz
build:
  merge_build_host: true
  number: '0'
  rpaths:
    - lib/
    - lib/R/lib/
  string: r36ha856d6a_0
requirements:
  build:
    - m2-bash 4.3.042 5
    - m2-coreutils 8.25 102
    - m2-filesystem 2016.04 4
    - m2-gcc-libs 5.3.0 4
    - m2-gmp 6.1.0 3
    - m2-libbz2 1.0.6 3
    - m2-libiconv 1.14 3
    - m2-libintl 0.19.7 4
    - m2-make 4.1 5
    - m2-msys2-runtime 2.5.0.17080.65c939c 3
    - m2-sed 4.2.2 3
    - m2-zip 3.0 2
    - m2w64-binutils 2.25.1 5
    - m2w64-bzip2 1.0.6 6
    - m2w64-crt-git 5.0.0.4636.2595836 2
    - m2w64-gcc 5.3.0 6
    - m2w64-gcc-ada 5.3.0 6
    - m2w64-gcc-fortran 5.3.0 6
    - m2w64-gcc-libgfortran 5.3.0 6
    - m2w64-gcc-libs 5.3.0 7
    - m2w64-gcc-libs-core 5.3.0 7
    - m2w64-gcc-objc 5.3.0 6
    - m2w64-gmp 6.1.0 2
    - m2w64-headers-git 5.0.0.4636.c0ad18a 2
    - m2w64-isl 0.16.1 2
    - m2w64-libiconv 1.14 6
    - m2w64-libmangle-git 5.0.0.4509.2e5a9a2 2
    - m2w64-libwinpthread-git 5.0.0.4634.697f757 2
    - m2w64-make 4.1.2351.a80a8b8 2
    - m2w64-mpc 1.0.3 3
    - m2w64-mpfr 3.1.4 4
    - m2w64-pkg-config 0.29.1 2
    - m2w64-toolchain 5.3.0 7
    - m2w64-toolchain_win-64 2.4.0 0
    - m2w64-tools-git 5.0.0.4592.90b8472 2
    - m2w64-windows-default-manifest 6.4 3
    - m2w64-winpthreads-git 5.0.0.4634.697f757 2
    - m2w64-zlib 1.2.8 10
    - msys2-conda-epoch 20160418 1
  host:
    - _r-mutex 1.0.1 anacondar_1
    - intel-openmp 2020.3 h57928b3_311
    - libblas 3.9.0 8_mkl
    - libiconv 1.16 he774522_0
    - liblapack 3.9.0 8_mkl
    - libxml2 2.9.10 hf5bbc77_3
    - m2w64-bwidget 1.9.10 2
    - m2w64-bzip2 1.0.6 6
    - m2w64-expat 2.1.1 2
    - m2w64-fftw 3.3.4 6
    - m2w64-flac 1.3.1 3
    - m2w64-gcc-libgfortran 5.3.0 6
    - m2w64-gcc-libs 5.3.0 7
    - m2w64-gcc-libs-core 5.3.0 7
    - m2w64-gettext 0.19.7 2
    - m2w64-gmp 6.1.0 2
    - m2w64-gsl 2.1 2
    - m2w64-libiconv 1.14 6
    - m2w64-libjpeg-turbo 1.4.2 3
    - m2w64-libogg 1.3.2 3
    - m2w64-libpng 1.6.21 2
    - m2w64-libsndfile 1.0.26 2
    - m2w64-libtiff 4.0.6 2
    - m2w64-libvorbis 1.3.5 2
    - m2w64-libwinpthread-git 5.0.0.4634.697f757 2
    - m2w64-libxml2 2.9.3 3
    - m2w64-mpfr 3.1.4 4
    - m2w64-pcre 8.38 2
    - m2w64-speex 1.2rc2 3
    - m2w64-speexdsp 1.2rc3 3
    - m2w64-tcl 8.6.5 3
    - m2w64-tk 8.6.5 3
    - m2w64-tktable 2.10 5
    - m2w64-wineditline 2.101 5
    - m2w64-xz 5.2.2 2
    - m2w64-zlib 1.2.8 10
    - mkl 2020.4 hb70f87d_311
    - msys2-conda-epoch 20160418 1
    - r-base 3.6.3 hddad469_6
    - r-dynamictreecut 1.63_1 r36h6115d3f_1003
    - r-igraph 1.2.6 r36h17c7c2f_1
    - r-lattice 0.20_41 r36h6d2157b_3
    - r-magrittr 2.0.1 r36h6d2157b_1
    - r-matrix 1.3_2 r36hd2e18ed_0
    - r-pkgconfig 2.0.3 r36h6115d3f_1
    - r-rcolorbrewer 1.1_2 r36h6115d3f_1003
    - vc 14.2 hb210afc_2
    - vs2015_runtime 14.28.29325 h5e1d092_0
    - zlib 1.2.11 h62dcd97_1010
  run:
    - m2w64-gcc-libs
    - r-base >=3.6,<3.7.0a0
    - r-dynamictreecut
    - r-igraph
    - r-rcolorbrewer
test:
  commands:
    - '"%R%" -e "library(''linkcomm'')"'
about:
  home: https://CRAN.R-project.org/package=linkcomm
  license: GPL-2.0-or-later
  license_family: GPL3
  license_file:
    - D:\bld\r-linkcomm_1612468480332\_h_env/lib/R/share/licenses/GPL-2
  summary: Link communities reveal the nested and overlapping structure in networks,
    and uncover the key nodes that form connections to multiple communities. linkcomm
    provides a set of tools for generating, visualizing, and analysing link communities
    in networks of arbitrary size and type. The linkcomm package also includes tools
    for generating, visualizing, and analysing Overlapping Cluster Generator (OCG)
    communities.
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - conda-forge/r
